import { MigrationInterface, QueryRunner } from "typeorm";
import { templateUsage } from "../entity/settings/templateUsage";
import {PermissionModule} from "../type/permissionTypes";

export class Memberlist1736079005086 implements MigrationInterface {
  name = "Memberlist1736079005086";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.manager
      .createQueryBuilder()
      .insert()
      .into(templateUsage)
      .values({ scope: "member.list" })
      .orIgnore()
      .execute();
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.manager
      .createQueryBuilder()
      .delete()
      .from(templateUsage)
      .where({ scope: "member.list" })
      .execute();
  }
}
